---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    The items that the loaded server packages can move:… Reference for the GET
    /api/v1/database-services/{id}/upgrade endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: Get the available upgrade
  badge: GET
title: Get the available upgrade
type: openapi-operation
---
The items that the loaded server packages can move: the PostgreSQL minor, each extension, Patroni and pgBouncer. The default selection has each item at the newest version of the pinned release, with the items that they need (ADR 2026-10-21 decisions 2 and 30). The options have every target, also from newer releases, each with what Check adds with it (TSE-1066). And the console components that the loaded server components can move: pgBackRest of the backup group, tsdbe, etcd, confd, the exporters, pg_auto_reindexer and Tailscale (decisions 29 to 34). And the report of the last Check.

`GET /api/v1/database-services/{id}/upgrade`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "available": {
    "blockers": [
      "string"
    ],
    "items": [
      {
        "added": true,
        "effect": "string",
        "from": "string",
        "kept": true,
        "label": "string",
        "name": "string",
        "note": "string",
        "reason": "string",
        "release": "string",
        "required": true,
        "servers": [
          "string"
        ],
        "services": [
          "string"
        ],
        "source": "string",
        "step": "rolling_pass",
        "to": "string"
      }
    ],
    "missing_optional": [
      "string"
    ],
    "release": "string"
  },
  "last_check": {
    "backup": {
      "can_back_up": true,
      "configured": true,
      "last_backup_at": "string",
      "running": true
    },
    "backup_risks": [
      "string"
    ],
    "current": true,
    "livesync_pause": {
      "in_place": true,
      "refusal": "string",
      "sessions": [
        {
          "id": "string",
          "name": "string",
          "no_slot": true,
          "result": "string",
          "side": "source",
          "slot_lsn": "string",
          "slot_seen": true
        }
      ],
      "step": true
    },
    "passed": true,
    "plan": {
      "blockers": [
        "string"
      ],
      "items": [
        {
          "added": true,
          "effect": "string",
          "from": "string",
          "kept": true,
          "label": "string",
          "name": "string",
          "note": "string",
          "reason": "string",
          "release": "string",
          "required": true,
          "servers": [
            "string"
          ],
          "services": [
            "string"
          ],
          "source": "string",
          "step": "rolling_pass",
          "to": "string"
        }
      ],
      "missing_optional": [
        "string"
      ],
      "release": "string"
    },
    "request": [
      {
        "name": "string",
        "target": "string"
      }
    ],
    "rows": [
      {
        "check": "packages",
        "database": "string",
        "detail": "string",
        "server": "string",
        "status": "pass"
      }
    ],
    "started_at": "string",
    "status": "running",
    "upgraded": true,
    "workflow_id": "string"
  },
  "last_upgrade": {
    "actor": "string",
    "finished_at": "string",
    "items": [
      {
        "added": true,
        "effect": "string",
        "from": "string",
        "kept": true,
        "label": "string",
        "name": "string",
        "note": "string",
        "reason": "string",
        "release": "string",
        "required": true,
        "servers": [
          "string"
        ],
        "services": [
          "string"
        ],
        "source": "string",
        "step": "rolling_pass",
        "to": "string"
      }
    ],
    "release": "string",
    "started_at": "string",
    "status": "running",
    "workflow_id": "string"
  },
  "options": [
    {
      "from": "string",
      "kept": true,
      "name": "string",
      "targets": [
        {
          "moves_pin": true,
          "needs": [
            {
              "name": "string",
              "reason": "string",
              "to": "string"
            }
          ],
          "release": "string",
          "version": "string"
        }
      ]
    }
  ],
  "recheck": "string",
  "refusal": "string",
  "upgrade_refusal": "string"
}
```
